package com.example.test.navigation

import androidx.compose.runtime.Composable
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import auth
import com.example.lectionsupabase.view.mainActivity.MainViewModel
import com.example.lectionsupabase.view.mainActivity.components.Cinema
import com.example.lectionsupabase.view.mainActivity.components.Concerts
import com.example.lectionsupabase.view.mainActivity.components.DealersList
import com.example.lectionsupabase.view.mainActivity.components.Exhibition
import com.example.lectionsupabase.view.mainActivity.components.InsertCar
import com.example.lectionsupabase.view.mainActivity.components.Restaurants
import com.example.lectionsupabase.view.mainActivity.components.reg
import com.example.lectionsupabase.view.mainActivity.components.slide1
import slide2
import slide3


@Composable
fun Navigation() {
    val navController = rememberNavController()
    NavHost(navController = navController,
        startDestination = "auth")
    {
        composable("auth") {
            auth(navController, MainViewModel())
        }

        composable("reg"){
            reg(navController, MainViewModel())
        }
        composable("slide2"){
            slide2(navController)
        }
        composable("slide3"){
            slide3(navController)
        }
        composable("slide1"){
            slide1(navController)
        }
        composable("Restaurants"){
            Restaurants(navController)
        }

        composable("Cinema") {
            Cinema(navController)
        }
        composable("Concerts") {
            Concerts(navController)
        }
        composable("Exhibition") {
            Exhibition(navController)
        }
        composable("DealersList"){
            DealersList(navController)
        }
        composable("InsertCar"){
            InsertCar(navController)
        }

    }
}


